%define	_version_major	3.5.0
%define	_version_minor	2

Summary:	NX compression library
Summary(pl.UTF-8):	Biblioteka kompresji NX
Name:		nxcomp
Version:	%{_version_major}.%{_version_minor}
Release:	2
License:	GPL
Group:		X11/Libraries
Source0:	http://64.34.161.181/download/%{_version_major}/sources/%{name}-%{_version_major}-%{_version_minor}.tar.gz
# Source0-md5:	ad8c0f133122c6d07732ca69c8759410
Patch0:		%{name}-pic.patch
Patch1:		%{name}-FLAGS.patch
Patch2:		%{name}-libpng15.patch
URL:		http://www.nomachine.com/
BuildRequires:	autoconf >= 2.59-9
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	libstdc++-devel
BuildRequires:	sed >= 4.0
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
NX compression library.

%description -l pl.UTF-8
Biblioteka kompresji NX.

%package devel
Summary:	Header files for nxcomp
Summary(pl.UTF-8):	Pliki nagłówkowe nxcomp
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for nxcomp.

%description devel -l pl.UTF-8
Pliki nagłówkowe nxcomp.

%package static
Summary:	Static nxcomp library
Summary(pl.UTF-8):	Statyczna biblioteka nxcomp
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static nxcomp library.

%description static -l pl.UTF-8
Statyczna biblioteka nxcomp.

%prep
%setup -q -n %{name}
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%{__autoconf}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_libdir},%{_includedir}}

#%{__make} install \
#	DESTDIR=$RPM_BUILD_ROOT

cp -a lib*.so* $RPM_BUILD_ROOT%{_libdir}
install lib*.a $RPM_BUILD_ROOT%{_libdir}
install NX*.h $RPM_BUILD_ROOT%{_includedir}
install MD5.h $RPM_BUILD_ROOT%{_includedir}

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc CHANGELOG README
%attr(755,root,root) %{_libdir}/lib*.so.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%{_includedir}/*.h

%files static
%defattr(644,root,root,755)
%{_libdir}/*.a
%changelog
* Fri Nov 01 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/nxcomp.git;a=log;h=master

* Fri Nov 01 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 9b783f8
- rel 2

* Mon Feb 27 2012 Jan Rękorajski <baggins@pld-linux.org> a2ac790
- 3.5.0

* Wed Feb 08 2012 Adam Gołębiowski <adamg@pld-linux.org> 34f4c24
- new

* Wed Feb 08 2012 Adam Gołębiowski <adamg@pld-linux.org> c829bff
- release 4 (rebuild against libpng-1.5)

* Tue Feb 07 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 3d3eee4
- release 3

* Sun Jul 11 2010 Sławomir Paszkiewicz <paszczus@pld-linux.org> 8d9e80d
- removed nxcomp-build.patch, thx sparky; rel 2

* Sun Jul 11 2010 Sławomir Paszkiewicz <paszczus@pld-linux.org> 282f41d
- not needed anymore, thx sparky

* Sun Jul 11 2010 Sławomir Paszkiewicz <paszczus@pld-linux.org> 4e59714
- updated to 3.4.0-7
- updated nxcomp-build.patch

* Sun Jul 11 2010 Sławomir Paszkiewicz <paszczus@pld-linux.org> 322b270
- updated for 3.4.0-7

* Fri Jan 29 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 10545f0
- release 4

* Wed Jul 15 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 17d4bc1
- rel 3; build fixed

* Sun Jul 12 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 472d6e5
- release 2

* Sat Apr 18 2009 areq <areq@pld-linux.org> f6c0bc4
- 3.3.0.4

* Mon Dec 29 2008 kosmo <kosmo@pld-linux.org> aa40bf6
- updated to 3.3.0-3

* Mon Aug 04 2008 Sławomir Paszkiewicz <paszczus@pld-linux.org> fe7b9c3
- updated to 3.2.0.7

* Thu Jun 14 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> 70877d0
- rel 2

* Sat Apr 07 2007 twittner <twittner@pld-linux.org> d24a857
- improved
- pass `-Wno-deprecated' to CXXFLAGS to avoid the same, repetitive
  warnings

* Sat Apr 07 2007 twittner <twittner@pld-linux.org> 7fdc4ba
- last change partially reverted - back to %configure

* Sat Apr 07 2007 twittner <twittner@pld-linux.org> 904e020
- C(XX)FLAGS fixes: don't patch by sed - it isn't reliable and doesn't
  work in this case, use %configure2_13

* Wed Mar 28 2007 aredridel <aredridel@pld-linux.org> b6f4c61
- 2.1.0.5

